POST api/pcapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "a44cd55e-4f9b-48ba-86e8-94a4d0f91785",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "91b525fc-74f4-49bb-89a6-2cafa23872a5",
"local_ip": "sample string 7",
"lock_id": "4d8ff115-0fba-4b25-91b4-2f63dca1ba07",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "8e43d657-70a4-4fe2-a528-e063f0c73f44",
"rights": [
{
"code": "sample string 1",
"id": "9f4ed0f2-568e-41ec-b33d-9edbc1210a72"
},
{
"code": "sample string 1",
"id": "9f4ed0f2-568e-41ec-b33d-9edbc1210a72"
}
],
"site_id": "f9eda354-d94c-4585-aef2-0461056e07d0",
"zone_id": "6e1a0d69-a392-4ae8-91fd-82c90de8f796"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>a44cd55e-4f9b-48ba-86e8-94a4d0f91785</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>91b525fc-74f4-49bb-89a6-2cafa23872a5</id>
<local_ip>sample string 7</local_ip>
<lock_id>4d8ff115-0fba-4b25-91b4-2f63dca1ba07</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>8e43d657-70a4-4fe2-a528-e063f0c73f44</pc_type_id>
<rights>
<right>
<ID>9f4ed0f2-568e-41ec-b33d-9edbc1210a72</ID>
<code>sample string 1</code>
</right>
<right>
<ID>9f4ed0f2-568e-41ec-b33d-9edbc1210a72</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>f9eda354-d94c-4585-aef2-0461056e07d0</site_id>
<zone_id>6e1a0d69-a392-4ae8-91fd-82c90de8f796</zone_id>
</pc>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"52ae6d57-5c44-4811-b641-b43180f8eeea"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">52ae6d57-5c44-4811-b641-b43180f8eeea</guid>